

#include <TinyWireS.h>
#define ADDR  1                     // i2c slave address 
#define LED1_PIN1       A3         // ATtiny Pin PA3                     
#define LED1_PIN2       8         // ATtiny PB2  
#define LED1_PIN3       A7   // ATtiny PA7 

void red()   //turn on the Red light
{
  TinyWireS.send(5);
  digitalWrite(LED1_PIN1, HIGH);
  digitalWrite(LED1_PIN2, LOW);
  digitalWrite(LED1_PIN3, LOW);
 
}
void blue()     //turn on the Red light      
{
  TinyWireS.send(6);
  digitalWrite(LED1_PIN1, LOW);
  digitalWrite(LED1_PIN2, HIGH);
  digitalWrite(LED1_PIN3, LOW);
  
}
void green()    // turn on the green light
{
  TinyWireS.send(7);
  digitalWrite(LED1_PIN1, LOW);
  digitalWrite(LED1_PIN2, LOW);
  digitalWrite(LED1_PIN3, HIGH);

}
void none ()   //turn of  all the leds

{
  digitalWrite(LED1_PIN1, LOW);
  digitalWrite(LED1_PIN2, LOW);
  digitalWrite(LED1_PIN3, LOW);
}
void setup() {
  pinMode(LED1_PIN1, OUTPUT);
  pinMode(LED1_PIN2, OUTPUT);
  pinMode(LED1_PIN3, OUTPUT);
  TinyWireS.begin(ADDR);
  digitalWrite(4, HIGH);
  digitalWrite(6, HIGH);

}

void loop()
{
  byte byteRc = 0;
  if (TinyWireS.available())
  {
      byteRc = TinyWireS.receive();
      if (byteRc == 1)
       {
            red();
     
        }
    else if (byteRc == 2) {
        blue();
      
    }
    else if (byteRc == 3)
    {
        green();
      
    }
    else {
      none();

    }

  }
}

